GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_iomgr_closure Struct Reference

A closure over a grpc_iomgr_cb_func. More...

`#include <iomgr.h>`

## Data Fields
grpc_iomgr_cb_func | cb
| Bound callback. More...
void * | cb_arg
| Arguments to be passed to "cb". More...
int | success
| Internal. More...
struct grpc_iomgr_closure * | next

## Detailed Description

A closure over a grpc_iomgr_cb_func.

## Field Documentation

grpc_iomgr_cb_func grpc_iomgr_closure::cb

Bound callback.

void* grpc_iomgr_closure::cb_arg

Arguments to be passed to "cb".

struct grpc_iomgr_closure* grpc_iomgr_closure::next

int grpc_iomgr_closure::success

Internal.

A boolean indication to "cb" on the state of the iomgr. For instance, closures created during a shutdown would have this field set to false. Internal. Do not touch

The documentation for this struct was generated from the following file:

- src/core/iomgr/iomgr.h